curl --request POST \
--url https://api.kameleoon.com/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amClientId": "<string>",
"amClientSecret": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"id": 123,
"imageURL": "<string>",
"isPasswordExpired": true,
"isProductRecoAllowed": true,
"lastName": "<string>",
"password": "<string>",
"passwordBlocked": true,
"passwordConfirm": "<string>",
"roles": [
{
"customers": [
123
],
"privileges": [],
"sites": [
123
]
}
],
"solutions": [],
"teamId": 123
}
'import requests
url = "https://api.kameleoon.com/accounts"
payload = {
"amClientId": "<string>",
"amClientSecret": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"id": 123,
"imageURL": "<string>",
"isPasswordExpired": True,
"isProductRecoAllowed": True,
"lastName": "<string>",
"password": "<string>",
"passwordBlocked": True,
"passwordConfirm": "<string>",
"roles": [
{
"customers": [123],
"privileges": [],
"sites": [123]
}
],
"solutions": [],
"teamId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amClientId: '<string>',
amClientSecret: '<string>',
dateCreated: '2023-11-07T05:31:56Z',
email: '<string>',
firstName: '<string>',
id: 123,
imageURL: '<string>',
isPasswordExpired: true,
isProductRecoAllowed: true,
lastName: '<string>',
password: '<string>',
passwordBlocked: true,
passwordConfirm: '<string>',
roles: [{customers: [123], privileges: [], sites: [123]}],
solutions: [],
teamId: 123
})
};
fetch('https://api.kameleoon.com/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amClientId": "<string>",
"amClientSecret": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"id": 123,
"imageURL": "<string>",
"isPasswordExpired": true,
"isProductRecoAllowed": true,
"lastName": "<string>",
"passwordBlocked": true,
"roles": [
{
"customers": [
123
],
"privileges": [],
"sites": [
123
]
}
],
"solutions": [],
"teamId": 123
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}Create a new account
Create new account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Client ID in AM
Client Secret in AM
Date when the account was created
Email associated with the given account
First name of the user of the given account
Unique identifier of the given account
Image URL of the user
Password regeneration required
Product recommendation allowed
Last name of the user of the given account
Password
Checks if the user is blocked due to exceeding maximum password attempts
Password confirmation
Used locale of the given account
fr, en, de User roles
Show child attributes
Show child attributes
Solutions enabled for the user
WEB_EXPERIMENTATION, FEATURE_EXPERIMENTATION CREATED, ACTIVATED, DEACTIVATED ID of the team to which the user belongs
Response
Created
Client ID in AM
Client Secret in AM
Date when the account was created
Email associated with the given account
First name of the user of the given account
Unique identifier of the given account
Image URL of the user
Password regeneration required
Product recommendation allowed
Last name of the user of the given account
Checks if the user is blocked due to exceeding maximum password attempts
Used locale of the given account
fr, en, de User roles
Show child attributes
Show child attributes
Solutions enabled for the user
WEB_EXPERIMENTATION, FEATURE_EXPERIMENTATION CREATED, ACTIVATED, DEACTIVATED ID of the team to which the user belongs
Was this page helpful?